# Class EnvironmentVariables

java.lang.Object
com.databricks.jdbc.common.EnvironmentVariables

public final class EnvironmentVariables extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_BYTE_LIMIT`
`static final boolean`
`DEFAULT_ESCAPE_PROCESSING`
`static final int`
`DEFAULT_RESULT_ROW_LIMIT`
`static final int`
`DEFAULT_ROW_LIMIT_PER_BLOCK`
`static final int`
`DEFAULT_SLEEP_DELAY`
`static final int`
`DEFAULT_STATEMENT_TIMEOUT_SECONDS`
`static final TProtocolVersion`
`JDBC_THRIFT_VERSION`

## Constructor Summary

Constructors
Constructor
Description
`EnvironmentVariables()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_STATEMENT_TIMEOUT_SECONDS

public static final int DEFAULT_STATEMENT_TIMEOUT_SECONDS

See Also:
  - Constant Field Values

### DEFAULT_RESULT_ROW_LIMIT

public static final int DEFAULT_RESULT_ROW_LIMIT

See Also:
  - Constant Field Values

### DEFAULT_ROW_LIMIT_PER_BLOCK

public static final int DEFAULT_ROW_LIMIT_PER_BLOCK

See Also:
  - Constant Field Values

### DEFAULT_BYTE_LIMIT

public static final int DEFAULT_BYTE_LIMIT

See Also:
  - Constant Field Values

### DEFAULT_ESCAPE_PROCESSING

public static final boolean DEFAULT_ESCAPE_PROCESSING

See Also:
  - Constant Field Values

### JDBC_THRIFT_VERSION

public static final TProtocolVersion JDBC_THRIFT_VERSION

### DEFAULT_SLEEP_DELAY

public static final int DEFAULT_SLEEP_DELAY

See Also:
  - Constant Field Values

## Constructor Details

### EnvironmentVariables

public EnvironmentVariables()